## pure-docs-0.60.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-docs-$(version)
version = 0.60

# Try to guess the installation prefix:
prefix = $(patsubst %/bin/pure,%,$(shell which pure 2>/dev/null))
ifeq ($(strip $(prefix)),)
# Fall back to /usr/local.
prefix = /usr/local
endif

# Installation goes into $(libdir)/pure, you can also set this directly
# instead of $(prefix).
libdir = $(prefix)/lib

htmlfiles = $(wildcard *.html) $(wildcard *.js)
tmfiles = $(wildcard *.tm)
pdffiles = $(wildcard *.pdf)

datadir = $(libdir)/pure/docs

.PHONY: all help install uninstall dist

all: help

help:
	@echo "Run 'make install' to install, 'make uninstall' to uninstall this package."

install:
	rm -rf $(DESTDIR)$(datadir)
	test -d $(DESTDIR)$(datadir) || mkdir -p $(DESTDIR)$(datadir)
	cp -r _images _sources _static $(htmlfiles) $(DESTDIR)$(datadir)

# Run this too if you also want to install the documentation in texmacs format.
install-tm:
	cp -r $(tmfiles) $(DESTDIR)$(datadir)

uninstall:
	rm -rf $(DESTDIR)$(datadir)

distfiles = Makefile debian/* _images/* _sources/* _static/* $(htmlfiles) $(tmfiles) $(pdffiles)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/_images && mkdir $(dist)/_sources && mkdir $(dist)/_static
	for x in $(distfiles); do ln -sf $$PWD/$$x $(dist)/$$x; done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-docs (0.58-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 17 Sep 2013 00:48:07 +0200

pure-docs (0.57-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 14 Feb 2013 18:13:07 +0100

pure-docs (0.56-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 19 Nov 2012 20:45:14 +0100

pure-docs (0.55-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 04 Jun 2012 13:00:29 +0200

pure-docs (0.54-2) natty; urgency=low

  * Latest upstream (rev. 5f9fefe33842)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 10:25:02 +0200

pure-docs (0.54-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 07:43:08 +0200

=== debian/control ===
Source: pure-docs
Section: doc
Priority: extra
Maintainer: Albert Graef <Dr.Graef@t-online.de>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://pure-lang.googlecode.com
#Vcs-Git: git://git.debian.org/collab-maint/pure-docs.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pure-docs.git;a=summary

Package: pure-docs
Architecture: all
Depends: w3m, ${misc:Depends}
Description: Functional programming language based on term rewriting
 Pure is a modern-style functional programming language based on term
 rewriting. It offers equational definitions with pattern matching, full
 symbolic rewriting capabilities, dynamic typing, eager and lazy evaluation,
 lexical closures, built-in list and matrix support and an easy-to-use C
 interface. The interpreter uses LLVM as a backend to JIT-compile Pure
 programs to fast native code.
 .
 This package contains the online documentation in html and texmacs format.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php pure-docs-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
https://bitbucket.org/purelang/pure-lang/downloads/pure-docs-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/pure-docs-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/pure-docs/pure-docs-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html pure-docs-(.*)\.tar\.gz
